{"openapi":"3.1.1","info":{"title":"Planning Center API","version":"2025-09-30","description":"The API about the Planning Center API. How meta!","termsOfService":"https://planningcenter.com/terms","contact":{"name":"Planning Center","url":"https://www.planningcenter.com","email":"support@planningcenter.com"},"x-pco-api-version":"16.0.2"},"externalDocs":{"description":"Planning Center developer documentation","url":"https://planningcenter.com/developers"},"servers":[{"url":"https://api.planningcenteronline.com/api/v2"}],"security":[{"oauth2":["api"]},{"personal_access_token":[]}],"tags":[{"name":"ConnectedApplication"},{"name":"OauthApplication"},{"name":"PersonalAccessToken"}],"paths":{"/connected_applications":{"summary":"ConnectedApplication","get":{"tags":["ConnectedApplication"],"parameters":[{"$ref":"#/components/parameters/connectedapplication_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_connected_applications_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/connected_applications/{connected_application_id}":{"summary":"ConnectedApplication","get":{"tags":["ConnectedApplication"],"parameters":[{"name":"connected_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ConnectedApplication id"},{"$ref":"#/components/parameters/connectedapplication_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_connected_applications_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/connected_applications/{connected_application_id}/people":{"summary":"ConnectedApplicationPerson","get":{"tags":["ConnectedApplication"],"parameters":[{"name":"connected_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ConnectedApplication id"},{"$ref":"#/components/parameters/connectedapplicationperson_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/connected_application_people_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/connected_applications/{connected_application_id}/people/{person_id}":{"summary":"ConnectedApplicationPerson","get":{"tags":["ConnectedApplication"],"parameters":[{"name":"connected_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ConnectedApplication id"},{"name":"person_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Person id"},{"$ref":"#/components/parameters/connectedapplicationperson_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/connected_application_people_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/oauth_applications":{"summary":"OauthApplication","get":{"tags":["OauthApplication"],"parameters":[{"$ref":"#/components/parameters/oauthapplication_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_oauth_applications_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/oauth_applications/{oauth_application_id}":{"summary":"OauthApplication","get":{"tags":["OauthApplication"],"parameters":[{"name":"oauth_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The OauthApplication id"},{"$ref":"#/components/parameters/oauthapplication_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_oauth_applications_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/oauth_applications/{oauth_application_id}/mau":{"summary":"OauthApplicationMau","description":"Monthly Active Users for an Oauth Application.\n\nA \"Monthly Active User\" is any person who has been issued an Oauth token during that month.\n\nHistorical data will be kept for 24 months.\n\n_Note:_ There is no historical data before mid-February 2019.\n","get":{"tags":["OauthApplication"],"parameters":[{"name":"oauth_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The OauthApplication id"},{"$ref":"#/components/parameters/oauthapplicationmau_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/oauth_application_mau_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/oauth_applications/{oauth_application_id}/mau/{mau_id}":{"summary":"OauthApplicationMau","description":"Monthly Active Users for an Oauth Application.\n\nA \"Monthly Active User\" is any person who has been issued an Oauth token during that month.\n\nHistorical data will be kept for 24 months.\n\n_Note:_ There is no historical data before mid-February 2019.\n","get":{"tags":["OauthApplication"],"parameters":[{"name":"oauth_application_id","in":"path","schema":{"type":"string"},"required":true,"description":"The OauthApplication id"},{"name":"mau_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Mau id"},{"$ref":"#/components/parameters/oauthapplicationmau_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/oauth_application_mau_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/personal_access_tokens":{"summary":"PersonalAccessToken","get":{"tags":["PersonalAccessToken"],"parameters":[{"$ref":"#/components/parameters/personalaccesstoken_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_personal_access_tokens_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/personal_access_tokens/{personal_access_token_id}":{"summary":"PersonalAccessToken","get":{"tags":["PersonalAccessToken"],"parameters":[{"name":"personal_access_token_id","in":"path","schema":{"type":"string"},"required":true,"description":"The PersonalAccessToken id"},{"$ref":"#/components/parameters/personalaccesstoken_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_personal_access_tokens_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}},"components":{"parameters":{"connectedapplication_all_fields_parameter":{"name":"fields[ConnectedApplication]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/connectedapplication_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"connectedapplication_only_attributes_fields_parameter":{"name":"fields[ConnectedApplication]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/connectedapplication_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"connectedapplicationperson_all_fields_parameter":{"name":"fields[ConnectedApplicationPerson]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/connectedapplicationperson_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"connectedapplicationperson_only_attributes_fields_parameter":{"name":"fields[ConnectedApplicationPerson]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/connectedapplicationperson_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"oauthapplication_all_fields_parameter":{"name":"fields[OauthApplication]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/oauthapplication_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"oauthapplication_only_attributes_fields_parameter":{"name":"fields[OauthApplication]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/oauthapplication_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"oauthapplicationmau_all_fields_parameter":{"name":"fields[OauthApplicationMau]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/oauthapplicationmau_renderable_attributes_enum"},{"$ref":"#/components/schemas/oauthapplicationmau_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"oauthapplicationmau_only_attributes_fields_parameter":{"name":"fields[OauthApplicationMau]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/oauthapplicationmau_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"person_all_fields_parameter":{"name":"fields[Person]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"person_only_attributes_fields_parameter":{"name":"fields[Person]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/person_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"personalaccesstoken_all_fields_parameter":{"name":"fields[PersonalAccessToken]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/personalaccesstoken_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"personalaccesstoken_only_attributes_fields_parameter":{"name":"fields[PersonalAccessToken]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/personalaccesstoken_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"pagination_offset_per_page_parameter":{"name":"per_page","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":25},"description":"Maximum number of records per page"},"pagination_offset_offset_parameter":{"name":"offset","in":"query","schema":{"type":"integer","minimum":0,"default":0},"description":"Pagination offset"}},"requestBodies":{"connectedapplication_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["ConnectedApplication"]}}}}}}}},"connectedapplication_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["ConnectedApplication"]}}}}}}}},"connectedapplicationperson_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["ConnectedApplicationPerson"]}}}}}}}},"connectedapplicationperson_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["ConnectedApplicationPerson"]}}}}}}}},"oauthapplication_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["OauthApplication"]},"attributes":{"$ref":"#/components/schemas/oauthapplication_attributes_assignable_on_create"}}}}}}}},"oauthapplication_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["OauthApplication"]},"attributes":{"$ref":"#/components/schemas/oauthapplication_attributes_assignable_on_update"}}}}}}}},"oauthapplicationmau_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["OauthApplicationMau"]}}}}}}}},"oauthapplicationmau_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["OauthApplicationMau"]}}}}}}}},"organization_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Organization"]}}}}}}}},"organization_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Organization"]}}}}}}}},"person_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Person"]}}}}}}}},"person_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["Person"]}}}}}}}},"personalaccesstoken_resource_create":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["PersonalAccessToken"]}}}}}}}},"personalaccesstoken_resource_update":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"type":{"type":"string","enum":["PersonalAccessToken"]}}}}}}}}},"responses":{"400_read":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/RangeError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"400_modify":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ParseJsonError"},{"$ref":"#/components/schemas/ParsePayloadError"},{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/SaveFailedError"},{"$ref":"#/components/schemas/UnknownAttributeError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"400_destroy":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DeleteRestrictionError"},{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/MissingParameterError"},{"$ref":"#/components/schemas/UnknownAttributeError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotUniqueError"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/AttributeNotFoundError"},{"$ref":"#/components/schemas/ForbiddenAttributeError"},{"$ref":"#/components/schemas/InvalidPayloadError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}},"schemas":{"oauthapplication_attributes_assignable_on_create":{"type":"object","properties":{"add_on_scopes":{"type":"string"}}},"oauthapplication_attributes_assignable_on_update":{"type":"object","properties":{"add_on_scopes":{"type":"string"}}},"connectedapplication_attributes":{"type":"object","properties":{"description":{"type":"string"},"name":{"type":"string"},"url":{"type":"string"}},"title":"ConnectedApplication"},"connectedapplicationperson_attributes":{"type":"object","properties":{"avatar_url":{"type":"string"},"connected_at":{"type":"string","format":"date-time"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"title":"ConnectedApplicationPerson"},"oauthapplication_attributes":{"type":"object","properties":{"description":{"type":"string"},"name":{"type":"string"},"url":{"type":"string"}},"title":"OauthApplication"},"oauthapplicationmau_attributes":{"type":"object","description":"Monthly Active Users for an Oauth Application.\n\nA \"Monthly Active User\" is any person who has been issued an Oauth token during that month.\n\nHistorical data will be kept for 24 months.\n\n_Note:_ There is no historical data before mid-February 2019.\n","properties":{"count":{"description":"The total number of unique active users for the application.","type":"integer"},"month":{"description":"The month the stat was recorded for.","type":"integer"},"year":{"description":"The year the stat was recorded for.","type":"integer"}},"title":"OauthApplicationMau"},"organization_attributes":{"type":"object","title":"Organization"},"person_attributes":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"}},"title":"Person"},"personalaccesstoken_attributes":{"type":"object","properties":{"name":{"type":"string"}},"title":"PersonalAccessToken"},"oauthapplicationmau_relationships_and_includes_enum":{"type":"string","enum":["oauth_application"]},"connectedapplication_renderable_attributes_enum":{"type":"string","enum":["description","name","url"]},"connectedapplicationperson_renderable_attributes_enum":{"type":"string","enum":["avatar_url","connected_at","first_name","last_name"]},"oauthapplication_renderable_attributes_enum":{"type":"string","enum":["description","name","url"]},"oauthapplicationmau_renderable_attributes_enum":{"type":"string","enum":["count","month","year"]},"person_renderable_attributes_enum":{"type":"string","enum":["first_name","last_name"]},"personalaccesstoken_renderable_attributes_enum":{"type":"string","enum":["name"]},"connectedapplication_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["ConnectedApplication"]},"attributes":{"$ref":"#/components/schemas/connectedapplication_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"people":{"type":"string"}}}}},"connectedapplicationperson_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["ConnectedApplicationPerson"]},"attributes":{"$ref":"#/components/schemas/connectedapplicationperson_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"oauthapplication_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["OauthApplication"]},"attributes":{"$ref":"#/components/schemas/oauthapplication_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"mau":{"type":"string"}}}}},"oauthapplicationmau_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["OauthApplicationMau"]},"attributes":{"$ref":"#/components/schemas/oauthapplicationmau_attributes"},"relationships":{"type":"object","properties":{"oauth_application":{"type":"object","properties":{"links":{"type":"object","properties":{"related":{"type":"string"}}},"data":{"type":"object","properties":{"type":{"type":"string","enum":["OauthApplication"]},"id":{"type":"string"}}}}}}},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"organization_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]},"attributes":{"$ref":"#/components/schemas/organization_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"},"connected_applications":{"type":"string"},"oauth_applications":{"type":"string"},"personal_access_tokens":{"type":"string"}}}}},"person_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Person"]},"attributes":{"$ref":"#/components/schemas/person_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"personalaccesstoken_resource":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["PersonalAccessToken"]},"attributes":{"$ref":"#/components/schemas/personalaccesstoken_attributes"},"links":{"type":"object","properties":{"self":{"type":"string"}}}}},"connected_application_people_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/connectedapplicationperson_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["ConnectedApplication"]}}}},"additionalProperties":false}}},"oauth_application_mau_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/oauthapplicationmau_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["OauthApplication"]}}}},"additionalProperties":false}}},"organization_connected_applications_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/connectedapplication_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}}},"additionalProperties":false}}},"organization_oauth_applications_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/oauthapplication_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}}},"additionalProperties":false}}},"organization_personal_access_tokens_resource_envelope":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/personalaccesstoken_resource"},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}}},"additionalProperties":false}}},"connected_application_people_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/connectedapplicationperson_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["ConnectedApplication"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}},"next":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"oauth_application_mau_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/oauthapplicationmau_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["OauthApplication"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}},"next":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"organization_connected_applications_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/connectedapplication_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}},"next":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"organization_oauth_applications_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/oauthapplication_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}},"next":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"organization_personal_access_tokens_collection_envelope":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/personalaccesstoken_resource"}},"meta":{"type":"object","properties":{"parent":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["Organization"]}}},"total_count":{"type":"integer"},"count":{"type":"integer"},"prev":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}},"next":{"type":"object","properties":{"offset":{"type":"integer","minimum":0,"default":0}}}},"additionalProperties":false},"links":{"type":"object","properties":{"self":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"}}}}},"AttributeNotFoundError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"code":{"type":"string","enum":["attribute_resource_not_found"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Attribute Resource Not Found"]},"source":{"type":"object","properties":{"parameter":{"type":"string"}}}}}}}},"InvalidEnumValueError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"code":{"type":"string","enum":["invalid_enum_value"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Invalid Enum Value"]},"source":{"type":"object","properties":{"parameter":{"type":"string"}}}}}}}},"DeleteRestrictionError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["delete_restriction"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"ForbiddenError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["403"]},"detail":{"type":"string","enum":["You do not have access to this resource"]},"title":{"type":"string","enum":["Forbidden"]},"meta":{"type":"object","properties":{"description":{"type":"string"}}}}}}}},"ForbiddenAttributeError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Forbidden Attribute"]}}}}}},"InternalServerError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["500"]},"detail":{"type":"string","enum":["An internal server error occurred on our end and we've been notified.  Please contact support if the issue persists."]},"title":{"type":"string","enum":["Internal Server Error"]}}}}}},"InvalidPayloadError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"code":{"type":"string","enum":["invalid_payload"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Invalid Payload"]}}}}}},"MissingParameterError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["missing_parameter"]},"detail":{"type":"string"},"title":{"type":"string","enum":["A required parameter wasn't supplied"]},"meta":{"type":"object","properties":{"param":{"type":"string"}}}}}}}},"NotFoundError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["404"]},"detail":{"type":"string","enum":["The resource you requested could not be found"]},"title":{"type":"string","enum":["Not Found"]}}}}}},"NotUniqueError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["409"]},"detail":{"type":"string","enum":["The record you are trying to create/update already exists"]},"title":{"type":"string","enum":["Duplicate Record"]}}}}}},"ParseJsonError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["invalid_json"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"ParsePayloadError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["invalid_resource_payload"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Bad Request"]}}}}}},"RangeError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["integer_out_of_range"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"SaveFailedError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string","enum":["invalid_data"]},"detail":{"type":"string","enum":["Your request could not be processed"]},"title":{"type":"string","enum":["Bad Request"]}}}}}},"UnauthorizedError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["401"]}}}}}},"UnknownAttributeError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"maxItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["400"]},"code":{"type":"string"},"detail":{"type":"string"},"title":{"type":"string","enum":["Invalid Version"]}}}}}},"ValidationError":{"type":"object","properties":{"errors":{"type":"array","minItems":1,"items":{"type":"object","properties":{"status":{"type":"string","enum":["422"]},"detail":{"type":"string"},"title":{"type":"string","enum":["Validation Error"]},"meta":{"type":"object","properties":{"resource":{"type":"string"},"associated_resources":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string"},"attributes":{"type":"object"},"errors":{"type":"object"}}}}}},"source":{"type":"object","properties":{"parameter":{"type":"string"}}}}}}}}},"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://api.planningcenteronline.com/oauth/authorize","tokenUrl":"https://api.planningcenteronline.com/oauth/token","refreshUrl":"https://api.planningcenteronline.com/oauth/refresh","scopes":{"api":"Required scope for accessing via OAuth 2"}}}},"personal_access_token":{"type":"http","scheme":"basic","description":"Provide your Personal Access Token Client ID as the HTTP Basic username\nand your Secret as the HTTP Basic password.\n\nExample header:\nAuthorization: Basic BASE64(client_id:secret)\"\n"}}}}